# Class ChangeEvent

java.lang.Object
java.util.EventObject
org.eclipse.core.databinding.observable.ObservableEvent
org.eclipse.core.databinding.observable.ChangeEvent

All Implemented Interfaces:
  `Serializable`

public class ChangeEvent extends ObservableEvent
Generic change event denoting that the state of an `IObservable` object has changed. This event does not carry information about the kind of change that occurred.

Since:
  1.0
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`ChangeEvent(IObservable source)`
Creates a new change event object.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`dispatch(IObservablesListener listener)`
Dispatch this event to the given listener.
`protected Object`
`getListenerType()`
Returns a unique object used for distinguishing this event type from others.

### Methods inherited from class ObservableEvent

`getObservable`

### Methods inherited from class EventObject

`getSource, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChangeEvent

public ChangeEvent(IObservable source)
Creates a new change event object.

Parameters:
  `source` - the observable that changed state

## Method Details

### dispatch

protected void dispatch(IObservablesListener listener)
Description copied from class: `ObservableEvent`
Dispatch this event to the given listener. Subclasses must implement this method by calling the appropriate type-safe event handling method on the given listener according to the type of this event.

Specified by:
  `dispatch` in class `ObservableEvent`
Parameters:
  `listener` - the listener that should handle the event

### getListenerType

protected Object getListenerType()
Description copied from class: `ObservableEvent`
Returns a unique object used for distinguishing this event type from others.

Specified by:
  `getListenerType` in class `ObservableEvent`
Returns:
  a unique object representing the concrete type of this event.